import sys
import http.client
import json

hostname = "celadon.wellesley.edu"
port = 7999
url = "/api/predict"

def generate(prompt,max_tokens=10,temperature=0.95,samples=1):
    input_json = {"data": [prompt, max_tokens, temperature,samples]}
    args =  [prompt, max_tokens, temperature,samples]
    words = "null"
    body = json.dumps({"data": ["Completions", prompt, max_tokens, temperature, samples, words]})
    headers = {"Content-Type": "application/json"}
    conn = http.client.HTTPConnection(hostname, port)
    conn.request("POST", url, body, headers)
    res = conn.getresponse()
    result = json.loads(res.read())
    conn.close()
    completion = result['data'][0]
    return completion
